Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "googledrive",
  "type": "GOOGLE_DRIVE_TRIGGER_FILE_UPDATED",
  "parameters": {
    "supportsAllDrives": false,
    "parentId": "folder1,folder2"
  }
}
Configuration options:
supportsAllDrives
BOOLEAN_INPUT
Watch for events from files in Shared Drives. Defaults to false.
  • Default: false
parentId
TEXTAREA
Specify the Folder ID to search for updated files within the folders. Defaults to the user’s root folder if left blank.
  • Example value: folder1,folder2
  • Options can be loaded by using the folders key. Learn more in User Configuration.